Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.wsdl.gen
Class NoopGenerator

    java.lang.Object
      org.apache.axis.wsdl.gen.NoopGenerator

All Implemented Interfaces:
  Generator

public class NoopGenerator
extends java.lang.Object
implements Generator

This generator doesn't do anything.

Constructor Summary
`NoopGenerator()`

Method Summary
`void` | `generate()` Do a whole lot of nothing.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NoopGenerator

    public NoopGenerator()

Method Detail

### generate

    public void generate()
                  throws java.io.IOException

  Do a whole lot of nothing.

  Specified by:
    `generate` in interface `Generator`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.